package com.hungraim.ltc.system.Scheduled;

import com.hungraim.ltc.api.AttachFeignService;
import com.hungraim.ltc.api.SrvTaskFeignService;
import com.hungraim.ltc.util.Result;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author zwl
 * @ClassName SrvTaskScheduledController
 * @description
 * @date 2023/2/27 15:23
 **/

@Component
@AllArgsConstructor
public class SrvTaskScheduledController {
    private final SrvTaskFeignService srvTaskFeignService;
    // 表示每天3点5分执行

    @Scheduled(cron = "30 32 19 * * ?")
    public void timeAllocationSrvTask() {
        Result result = srvTaskFeignService.timeAllocationSrvTask();
        System.out.println();
    }

}
